LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Debian (https://www.linuxquestions.org/questions/debian-26/)
-   -   Etch Pulling Lenny Packages (https://www.linuxquestions.org/questions/debian-26/etch-pulling-lenny-packages-651416/)

carlosinfl 06-24-2008 09:12 PM

Etch Pulling Lenny Packages
 
I stood up a fresh Etch install today however needed to install Postfix & realized that Etch repos had 2.3 & the Army requires 2.5. I basically did a apt-get clean, then changed Etch repos to Lenny and then installed Postfix w/ apt-get.

I then cleared all the cache from Lenny repos and changed the source.lst to Etch.

Do you guys know if this is bad and if I will experience issues? Please let me know what you think and or what I could have done properly to obtain the same goal...

Thanks!

rickh 06-24-2008 09:21 PM

I think you've been around long enough to know better than that. One does not mix Debian Stable with other releases. By pulling Postfix from Lenny, you also brought libc6 2.7 something. You are no longer running Etch. You might as well update your entire system to Lenny.

What you should have done is pulled Postfix from backports.org

carlosinfl 06-24-2008 11:06 PM

Yes - I have been around long enough and I should have know better ;)

I did find backports and it appears to be working fine...

Thanks


All times are GMT -5. The time now is 05:35 PM.